shithub: scc

Download patch

ref: c23e6c67795ed059049524920324241d6d0aece6
parent: 05e48648c32fff671b79a615310f4d2bc5136aba
author: Roberto E. Vargas Caballero <k0ga@shike2.com>
date: Thu Jun 23 07:46:40 EDT 2016

[tests] Improve chktest.sh

Simplify the subshell, and remove the temporal files created.

--- a/tests/chktest.sh
+++ b/tests/chktest.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-trap 'tabs -8' 0 1 2 3 15
+trap 'tabs -8;rm -f a.out' 0 1 2 3 15
 tabs 40
 ulimit -c 0
 
@@ -7,7 +7,5 @@
 for i in $@
 do
 	printf "%s\t" $i
-	(set -e
-	 scc -m qbe "$i" && ./a.out
-	) 2>/dev/null && echo [OK] || echo [FAILED]
+	(scc -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
 done